Package be.fgov.ehealth.etkra.protocol.v2

# Class CompleteETKRegistrationResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.commons.protocol.v2.StatusResponseType
be.fgov.ehealth.etkra.protocol.v2.CompleteETKRegistrationResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class CompleteETKRegistrationResponse extends StatusResponseType implements Serializable
If the ToBeRegistered X509 certificate was correctly generated then the response will contain the Encryption Token that the web service generated based on the encryption certificate.

Java class for CompleteETKRegistrationResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CompleteETKRegistrationResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence minOccurs="0">
             <element name="ETK" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             <element name="ToBeActivated" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompleteETKRegistrationResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getETK()`
  The newly generated eHealth encryption token in its encoded form.
  `Boolean`
  `isToBeActivated()`
  Set to true when this is a replacement ETK that still needs to be activated before it can be used.
  `void`
  `setETK(byte[] value)`
  Sets the value of the etk property.
  `void`
  `setToBeActivated(Boolean value)`
  Sets the value of the toBeActivated property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

  `getStatus, setStatus`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CompleteETKRegistrationResponse

    public CompleteETKRegistrationResponse()

- ## Method Details

  - ### getETK

    public byte[] getETK()
    The newly generated eHealth encryption token in its encoded form.
    Returns:
      possible object is byte[]

  - ### setETK

    public void setETK(byte[] value)
    Sets the value of the etk property.
    Parameters:
      `value` - allowed object is byte[]
    See Also:
      - `getETK()`

  - ### isToBeActivated

    public Boolean isToBeActivated()
    Set to true when this is a replacement ETK that still needs to be activated before it can be used. This is the case when the ETK replaces another ETK that is close to its expiration date, this gives clients some time to switch over to their new ETK without having any interruptions in their ETK validity.
    Returns:
      possible object is `Boolean`

  - ### setToBeActivated

    public void setToBeActivated(Boolean value)
    Sets the value of the toBeActivated property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isToBeActivated()`